4

Fedora 10 -libcrypto dependency error

view full story
linux-howto

http://forums.fedoraforum.org – Hi all, Trying to install xCAT clustering solution: wget http://xcat.sourceforge.net/yum/xcat...6-8.x86_64.rpm rpm -i conserver-8.1.16-8.x86_64.rpm cd /etc/yum.repos.d wget http://xcat.sourceforge.net/yum/deve...core-snap.repo wget http://xcat.sourceforge.net/yum/xcat.../xCAT-dep.repo yum clean metadata yum install xCAT The install procedure above is very simple however when running yum install xCAT, I get this error: ipmitool-1.8.11-3.x86_64 from xcat-dep has depsolving problems --> Missing Dependency: libcrypto.so.6()(64bit) is needed by package ipmitool-1.8.11-3.x86_64 (xcat-dep) I installed the GNU glibc packages however that installed libcrypt.so.7 and pointed it to libcrypto.so.0.9.8g so the install still fails. I made a soft link like this ln -s /lib64/libcrypto.so.7 /lib64/libcrypto.so.6 and then ran ldconfig -v |grep libcrypto* it shows that now libcrpyto.so.7 --> libcrypto.so.6 instead of pointing to libcrypto.so.0.9.8g even though the soft link itself in /lib64/libcrypto.so.7 still points to libcrypto.so.0.9.8g, its very strange. and If I delete libcrypt.so.6 and run ldconfig -v it will change libcrypto.so.7 back to libcrypto.so.0.9.8g. Not sure what to do at this point I need libcrypto.so.6 for xcat to install but libcrypto.so.7 messes up and points back to 6 itself. Any ideas ? or any other way to get libcrypto.so.6 installed? thx (HowTos)